Subject: Re: bug#35420: Support git in ediff-patch-file

From: Juri Linkov <[email-masked]>
Date: Sun, 05 May 2019 22:51:56 +0300

>> You get i/, w/ and/or c/ when you run 'git diff' inside your working
>> tree, depending on whether the changed file is in the 'i'ndex,
>> 'w'orking tree, or 'c'ache (also known as the staging area). Things
>> like 'git format-patch' and 'git show' use a/ and b/ by default.
>> 
>> And of course, since this is git, you can tell it to use other
>> prefixes using '--src-prefix' and '--dst-prefix'.
>
> Thanks.  I guess we'd like to support these use cases as well, right?

I implemented support for these cases as well and pushed to master.